import { request } from './request.js'

// 获取当前登录用户详情
export function getLoginUserInfo(data) {
	return request('post', "/common/getLoginUserInfo",data)
}

// 左上角任务配置列表
export function selectTaskManagerListByWorkstationId(data) {
	return request('post', "/check/selectTaskManagerListByWorkstationId",data)
}

// 获取所有区域
export function getRegion(data) {
	return request('post', "/common/getRegion",data)
}

// 根据区域id获取工位
export function getStationByDeptId(data) {
	return request('post', "/common/getStationByDeptId",data)
}

// 周期型--根据区域工位获取周期型点检表列表--顶栏列表(常用工位调用获取登陆用户信息接口,并可以设置切换)
export function selectPeriodTaskListByStationId(data) {
	return request('post', "/check/selectPeriodTaskListByStationId",data)
}

// 周期型--查询任务列表
export function selectPeriodTaskListById(data) {
	return request('post', "/check/selectPeriodTaskListById",data)
}

// 删除任务-id任务为列表中的id
export function deleteCheckTaskById(data) {
	return request('post', "/check/deleteCheckTaskById",data)
}

// 选择/切换工位
export function changeStation(data) {
	return request('post', "/common/changeStation",data)
}

// 事务型--根据区域工位获取任务配置列表--顶栏列表
export function selectAffairTaskManagerListByStationId(data) {
	return request('post', "/check/selectAffairTaskManagerListByStationId",data)
}

// 新-事务型--根据区域工位获取任务配置列表--顶栏列表
export function selectAffairTaskListByStationId(data) {
	return request('post', "/check/selectAffairTaskListByStationId",data)
}

// 事务型--根据id查询任务列表
export function selectAffairTaskListById(data) {
	return request('post', "/check/selectAffairTaskListById",data)
}

// 事务型--新增任务--顶栏选中的id查询启动参数
export function selectParameterListById(data) {
	return request('post', "/check/selectParameterListById",data)
}

// 事务型--新增任务
export function insertAffairTask(data) {
	return request('post', "/check/insertAffairTask",data)
}

// 周期型--新增任务
export function insertPeriodTask(data) {
	return request('post', "/check/insertPeriodTask",data)
}

// 周期型--任务详情
export function selectPeriodTaskDetailById(data) {
	return request('post', "/check/selectPeriodTaskDetailById",data)
}

// 工程师确认-返回确认相关信息
export function engineerConfirm(data) {
	return request('post', "/check/engineerConfirm",data)
}

// 周期型--提交点检 先提交再班组长确认 再领导确认
export function submitPeriodTask(data) {
	return request('post', "/check/submitPeriodTask",data)
}

// 班长/主管确认-返回确认相关信息
export function leaderConfirm(data) {
	return request('post', "/check/leaderConfirm",data)
}

// 确认弹窗提交接口 
export function commitConfirm(data) {
	return request('post', "/check/commitConfirm",data)
}

// 事务型--任务详情
export function selectAffairTaskById(data) {
	return request('post', "/check/selectAffairTaskById",data)
}

// 事务型--提交点检
export function submitAffairTask(data) {
	return request('post', "/check/submitAffairTask",data)
}

// 一键确认
export function checkOneConfirm(data) {
	return request('post', "/check/checkOneConfirm",data)
}
// 215041001
// EB1306CB22DBDDA4F4B6595D886CD5F6

// 左上角任务配置列表:
// /check/selectTaskManagerListByWorkstationId

// 请求参数
// workstationId
// 响应json
// data:[
// 	{
// 	id:,
// 	name:, 名称
// 	type:, 0事务 1周期
// 	count:,数量
// 	status:完成情况
// 	}
// ]

// 周期性只有以下接口修改

// 周期型模板列表接口修改:
// /check/selectPeriodTaskListByStationId
// 请求参数由id修改为
// taskManagerId 任务配置列表id
// 和
// workstationId工位id
// 响应不变

// 事务型
// /check/selectAffairTaskManagerListByStationId
// 接口整体替换为
// /check/selectAffairTaskListByStationId
// 请求参数
// taskManagerId  任务配置列表id
// 和
// workstationId   工位id
// 响应参数
// id 模板id
// name 模板名称
// count 未完成数量
// status 同周期一样变色

// 其他的不变

// 周期型任务完成未完成列表
// /check/selectPeriodTaskListById
// 新增请求参数
// taskManagerId